<?PHP
// =================================
// Script zum Einfgen der Losungen:
// =================================

// Einstellungen:
// ==============

// Bibeltext fett ausgeben: (1 = fett    0 = nicht fett)
$LphpBibeltextFett = 1;

// Stellenangabe als Link zur Internetbibel: (1 = Link    0 = kein Link)
$LphpBibelLink = 0;

// berschrift einfgen: ("" = keine berschrift)
$LphpTitelText = "Losung und Lehrtext fr";

// Datumsangabe allein oder hinter berschrift:
$LphpTitelDatum = 2;

// mgliche Werte: (Beispiel 04.02.2008)
// 0 = (keine Datumsangabe)
// 1 = "04.02.2008"
// 2 = "Montag, 4. Februar 2008"
// 3 = "4. Februar 2008"

// Doppelpunkt hinter berschrift / Datum (1 = Doppelpunkt    0 = keiner)
$LphpTitelDoppelpunkt = 1;


// =================================================================
// Den nachfolgenden Code bitte nur ndern, wenn Sie sich auskennen!
// =================================================================

// Datendatei zum aktuellen Jahr ermitteln: 
$LphpDatei = "losungphp" . date("Y") . ".dat";

// Die Daten aus der Datendatei einlesen:
$LphpFp = @fopen($LphpDatei,"rb");
if ($LphpFp){
	$LphpTagID = date("z") +1;
	fseek ($LphpFp, ($LphpTagID * 12) - 12);
	$LphpPoLa = fread($LphpFp, 12);
	$LphpPo = intval(substr($LphpPoLa, 0, 6)) -1;
	$LphpLa = intval(substr($LphpPoLa, 6, 6));
	fseek ($LphpFp, $LphpPo);
	$LphpText = fread($LphpFp, $LphpLa);
	if (strpos($LphpText,"") !==false) {
		$Lphp = explode("", $LphpText);
	} else if(strpos($LphpText,"|") !==false) {
		$Lphp = explode("|", $LphpText);
	} else {
        		$LphpText = str_replace("?", "@", $LphpText);
		$pos = strpos($LphpText, "http://") -1;
		$z = substr($LphpText, $pos, 1);
		$LphpText = str_replace($z, "|", $LphpText);
		$LphpText = str_replace("@", "?", $LphpText);
		$Lphp = explode("|", $LphpText);
	}
	fclose($LphpFp);
}

// Variablen fr die Datumsangabe in der berschrift
// Wochentagsname: (z.B.: "Montag")
$LphpWT = array("Sonntag", "Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag");
$LphpWochentagName = $LphpWT[date("w")];

// Monatsname: (z.B.: "Februar")
$LphpM = array("", "Januar", "Februar", "M&auml;rz", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember");
$LphpMonatName = $LphpM[date("n")];

// Tag als Zahl: (z.B.: kurz = "4" / lang = "04")
$LphpTagKurz = date("j");
$LphpTagLang = date("d");

// Monat als Zahl: (z.B.: kurz = "2" / lang = "02")
$LphpMonatKurz = date("n");
$LphpMonatLang = date("m");

// Jahr als Zahl: (z.B.: kurz = "08" / lang = "2008")
$LphpJahrKurz = date("y");
$LphpJahrLang = date("Y");

// Bibeltext ggf. Fett:
if($LphpBibeltextFett==1){
	$Lphp[1] = "<b>" . $Lphp[1] . "</b>";
	$Lphp[5] = "<b>" . $Lphp[5] . "</b>";
}

// Stellenangabe ggf. als Link zur Internetbibel
if($LphpBibelLink==1){
	$Lphp[2] = "<a title='Zum Bibeltext' href='" . $Lphp[3] . "' target='_blank'>" . $Lphp[2] . "</a>";
	$Lphp[6] = "<a title='Zum Bibeltext' href='" . $Lphp[7] . "' target='_blank'>" . $Lphp[6] . "</a>";
}

// berschrift zusammenstellen:
$LphpTitel = "";
//if($LphpTitelText != ""){$LphpTitel = htmlentities(trim($LphpTitelText));}
$LphpTitelText = str_replace("", "&auml;", $LphpTitelText);
$LphpTitelText = str_replace("", "&ouml;", $LphpTitelText);
$LphpTitelText = str_replace("", "&uuml;", $LphpTitelText);
$LphpTitelText = str_replace("", "&szlig;", $LphpTitelText);
$LphpTitelText = str_replace("", "&Auml;", $LphpTitelText);
$LphpTitelText = str_replace("", "&Ouml;", $LphpTitelText);
$LphpTitelText = str_replace("", "&Uuml;", $LphpTitelText);
$LphpTitel = $LphpTitelText;

// Datum zusammenstellen:
$LphpDatum = "";
if($LphpTitelDatum <1 or $LphpTitelDatum >3){
	$LphpDatum = "";
}elseif($LphpTitelDatum==1){
	$LphpDatum = $LphpTagLang . "." . $LphpMonatLang . "." . $LphpJahrLang;
}elseif($LphpTitelDatum==2){
	$LphpDatum = $LphpWochentagName  . ", " . $LphpTagKurz . ". " . $LphpMonatName . " " . $LphpJahrLang;
}elseif($LphpTitelDatum==3){
	$LphpDatum = $LphpTagKurz . ". " . $LphpMonatName . " " . $LphpJahrLang;
}

if($LphpTitel != "" and $LphpDatum != ""){$LphpTitel = $LphpTitel . " ";}
$LphpTitel = $LphpTitel . $LphpDatum;
if($LphpTitel != "" and $LphpTitelDoppelpunkt==1){$LphpTitel=$LphpTitel . ":";}

// Titel ausgeben:
if($LphpTitel != ""){echo $LphpTitel . "<br><br>";}

// Losung ausgeben:
echo $Lphp[0] . $Lphp[1] . "<br>"; 
echo $Lphp[2] . "<br><br>";

// Lehrtext ausgeben:
echo $Lphp[4] . $Lphp[5] . "<br>";
echo $Lphp[6];

?>
